Package org.apache.storm.metrics2

## Class TaskMetrics

- java.lang.Object
- - org.apache.storm.metrics2.TaskMetrics

-     public class TaskMetrics
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskMetrics​(WorkerTopologyContext context, String componentId, Integer taskid, StormMetricRegistry metricRegistry, Map<String,​Object> topoConf)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `boltAckedTuple​(String sourceComponentId, String sourceStreamId, long latencyMs)` |
    `void` | `boltExecuteTuple​(String sourceComponentId, String sourceStreamId, long latencyMs)` |
    `void` | `boltFailedTuple​(String sourceComponentId, String sourceStreamId)` |
    `void` | `emittedTuple​(String streamId)` |
    `void` | `setCapacity​(double capacity)` |
    `void` | `spoutAckedTuple​(String streamId, long latencyMs)` |
    `void` | `spoutFailedTuple​(String streamId)` |
    `void` | `transferredTuples​(String streamId, int amount)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskMetrics

          public TaskMetrics​(WorkerTopologyContext context,
                             String componentId,
                             Integer taskid,
                             StormMetricRegistry metricRegistry,
                             Map<String,​Object> topoConf)

  - ### Method Detail

    - #### setCapacity

          public void setCapacity​(double capacity)

    - #### spoutAckedTuple

          public void spoutAckedTuple​(String streamId,
                                      long latencyMs)

    - #### boltAckedTuple

          public void boltAckedTuple​(String sourceComponentId,
                                     String sourceStreamId,
                                     long latencyMs)

    - #### spoutFailedTuple

          public void spoutFailedTuple​(String streamId)

    - #### boltFailedTuple

          public void boltFailedTuple​(String sourceComponentId,
                                      String sourceStreamId)

    - #### emittedTuple

          public void emittedTuple​(String streamId)

    - #### transferredTuples

          public void transferredTuples​(String streamId,
                                        int amount)

    - #### boltExecuteTuple

          public void boltExecuteTuple​(String sourceComponentId,
                                       String sourceStreamId,
                                       long latencyMs)